FROM ubuntu:20.04

RUN apt-get update
RUN DEBIAN_FRONTEND=noninteractive TZ=Europe/Bucharest apt-get -y install tzdata
RUN apt-get -y install iproute2
RUN apt-get -y install netsniff-ng
RUN apt-get -y install python3 python3-pip
RUN pip3 install scapy

# Dummy trafgen config
RUN echo "{ fill(0xff, 64) csum16(0, 64) }" > trafgen.cfg

# Keep the container running
CMD tail -f /dev/null
