# The host exposes the virtual interface vcan0:
# https://stackoverflow.com/questions/21022749/how-to-create-virtual-can-port-on-linux-c
#   sudo modprobe vcan
#   sudo ip link add dev vcan0 type vcan
#   sudo ip link set up vcan0

FROM ubuntu:20.04

RUN apt-get -y update
RUN apt-get -y install can-utils
RUN apt-get -y install python3 python3-pip
RUN pip3 install scapy

# Keep the container running
CMD tail -f /dev/null
